TESTING/LIN/cchklqt.f(3)

NAME
TESTING/LIN/cchklqt.f

SYNOPSIS

  Functions/Subroutines
subroutine cchklqt (thresh, tsterr, nm, mval, nn, nval, nnb, nbval, nout)
CCHKLQT

Function/Subroutine Documentation

  subroutine cchklqt (real thresh, logical tsterr, integer nm, integer, dimension( * ) mval, integer nn, integer, dimension( * ) nval, integer nnb, integer, dimension( * ) nbval, integer nout)

CCHKLQT

Purpose:

    !>
    !> CCHKLQT tests CGELQT and CUNMLQT.
    !>

Parameters
    THRESH

    !>          THRESH is REAL
    !>          The threshold value for the test ratios.  A result is
    !>          included in the output file if RESULT >= THRESH.  To have
    !>          every test ratio printed, use THRESH = 0.
    !>

    TSTERR

    !>          TSTERR is LOGICAL
    !>          Flag that indicates whether error exits are to be tested.
    !>

    NM

    !>          NM is INTEGER
    !>          The number of values of M contained in the vector MVAL.
    !>

    MVAL

    !>          MVAL is INTEGER array, dimension (NM)
    !>          The values of the matrix row dimension M.
    !>

    NN

    !>          NN is INTEGER
    !>          The number of values of N contained in the vector NVAL.
    !>

    NVAL

    !>          NVAL is INTEGER array, dimension (NN)
    !>          The values of the matrix column dimension N.
    !>

    NNB

    !>          NNB is INTEGER
    !>          The number of values of NB contained in the vector NBVAL.
    !>

    NBVAL

    !>          NBVAL is INTEGER array, dimension (NNB)
    !>          The values of the blocksize NB.
    !>

    NOUT

    !>          NOUT is INTEGER
    !>          The unit number for output.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 100 of file cchklqt.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.